## zurl 1.0.0

=== debian/changelog ===
zurl (1.0.0-1) unstable; urgency=low

  * New upstream release
    - Change in network protocol:
      prefix all packets with T to indicate tnetstring

 -- Jan Niehusmann <jan@debian.org>  Wed, 18 Sep 2013 14:51:23 +0200

zurl (1.0~20130725-1) unstable; urgency=low

  * Update upstream version.
    - use libcurl to do http requests
    - bugfixes
    - add openssl linking exception to license

 -- Jan Niehusmann <jan@debian.org>  Tue, 31 Jul 2013 08:26:14 +0200

zurl (1.0~20130704-1) unstable; urgency=low

  * Initial release (Closes: #715050)

 -- Jan Niehusmann <jan@debian.org>  Thu, 04 Jul 2013 22:17:39 +0200
