=== debian/control ===
Source: zurl
Section: net
Priority: extra
Maintainer: Jan Niehusmann <jan@debian.org>
Build-Depends: debhelper (>= 8.0.0), libqt4-dev (>= 4.7), libzmq-dev (>= 2.0), pkg-config, hardening-wrapper, libcurl4-openssl-dev
Standards-Version: 3.9.4
Homepage: https://github.com/fanout/zurl/
Vcs-Git: git://git.debian.org/users/jan/zurl.git
Vcs-Browser: http://git.debian.org/?p=users/jan/zurl.git;a=summary

Package: zurl
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: HTTP client worker with ZeroMQ interface
 This service allows one to trigger HTTP requests and to retrieve
 the responses via ZeroMQ.
