## zurl 1.3.0

=== debian/changelog ===
zurl (1.3.0-4) unstable; urgency=low

  * Fix setting of CPPFLAGS in debian/rules (typo)

 -- Jan Niehusmann <jan@debian.org>  Fri, 11 Jul 2014 18:28:03 +0200

zurl (1.3.0-3) unstable; urgency=low

  * Update Vcs URL
  * Implement hardening using buildflags instead of hardening-wrapper
  * Add watch file from sepwatch
  * Add postrm script to remove /var/log/zurl.log on purge
  * Add prerm script to stop service when removing the package

 -- Jan Niehusmann <jan@debian.org>  Thu, 10 Jul 2014 22:33:24 +0200

zurl (1.3.0-2) unstable; urgency=low

  * Add start script and config.
  * Add logrotate config

 -- Jan Niehusmann <jan@debian.org>  Wed, 18 Jun 2014 23:17:04 +0200

zurl (1.3.0-1) unstable; urgency=low

  * new upstream release
  * Build against libzmq3 (closes: Bug#740417)
  * Set standards-version to 3.9.5 (no changes)

 -- Jan Niehusmann <jan@debian.org>  Sat, 01 Mar 2014 18:45:13 +0100
