=== debian/control ===
Source: zurl
Section: net
Priority: extra
Maintainer: Jan Niehusmann <jan@debian.org>
Build-Depends: debhelper (>= 9.0.0), libqt4-dev (>= 4.7), libzmq3-dev (>= 2.0), pkg-config, libcurl4-openssl-dev, libqjson-dev
Standards-Version: 3.9.5
Homepage: https://github.com/fanout/zurl/
Vcs-Git: git://anonscm.debian.org/users/jan/zurl.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=users/jan/zurl.git;a=summary

Package: zurl
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, adduser
Description: HTTP client worker with ZeroMQ interface
 This service allows one to trigger HTTP requests and to retrieve
 the responses via ZeroMQ.
