## zurl 1.3.1

=== debian/changelog ===
zurl (1.3.1-4) unstable; urgency=low

  * Disable failing test on kFreeBSD.
    The attempt to fix this in 1.3.1-3 failed. But as I can't reproduce
    the issue on the porter machines, I guess it's just an artifact
    of the network being unavailable on the buildds.

 -- Jan Niehusmann <jan@debian.org>  Sun, 12 Oct 2014 15:07:58 +0200

zurl (1.3.1-3) unstable; urgency=low

  * Set standards-version to 3.9.6 (no changes)
  * Use tcp port 2 instead of 1 to test 'connection refused' behaviour.
    (Maybe this fixes build error in kfreebsd buildds?)

 -- Jan Niehusmann <jan@debian.org>  Tue, 23 Sep 2014 22:21:21 +0200

zurl (1.3.1-2) unstable; urgency=low

  * Fix hardening flags (were not applied to all files)

 -- Jan Niehusmann <jan@debian.org>  Thu, 18 Sep 2014 20:31:18 +0200

zurl (1.3.1-1) unstable; urgency=low

  * New upstream release, 1.3.1

 -- Jan Niehusmann <jan@debian.org>  Tue, 16 Sep 2014 21:40:59 +0200
