## zurl 1.4.2

=== debian/changelog ===
zurl (1.4.2-1) unstable; urgency=medium

  * New upstream version

 -- Jan Niehusmann <jan@debian.org>  Mon, 22 Jun 2015 15:48:12 +0200
