=== debian/watch ===
version=3
https://github.com/fanout/zurl/releases \
.*[^n]/(?:|v|version-|r|REL_|rel-|zurl(?:_|-))(\d[^\s/]*)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)
