## zurl 1.4.7

=== debian/changelog ===
zurl (1.4.7-1) unstable; urgency=medium

  * New upstream version

 -- Jan Niehusmann <jan@debian.org>  Mon, 06 Jul 2015 22:42:15 +0200
