## zurl 1.4.8

=== debian/changelog ===
zurl (1.4.8-1) unstable; urgency=medium

  * New upstream version. (Fixes build on 32bit architectures)

 -- Jan Niehusmann <jan@debian.org>  Tue, 07 Jul 2015 21:53:10 +0200
