## zurl 1.4.9

=== debian/changelog ===
zurl (1.4.9-1) unstable; urgency=medium

  * New upstream version.

 -- Jan Niehusmann <jan@debian.org>  Fri, 17 Jul 2015 16:24:18 +0200
