## zurl 1.4.10

=== debian/changelog ===
zurl (1.4.10-1) unstable; urgency=medium

  * New upstream version
  * Update watch file

 -- Jan Niehusmann <jan@debian.org>  Thu, 24 Sep 2015 13:37:40 +0200
