## zurl 1.5.0

=== debian/changelog ===
zurl (1.5.0-1) unstable; urgency=medium

  * New upstream version
  * Update build dependencies
  * Cherry-Pick upstream commit 6f727e9 to avoid installing unit test files

 -- Jan Niehusmann <jan@debian.org>  Tue, 16 Feb 2016 15:22:16 +0100
