=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: net
 Priority: extra
 Maintainer: Jan Niehusmann <jan@debian.org>
-Build-Depends: debhelper (>= 9.0.0), libqt4-dev (>= 4.7), libzmq3-dev (>= 2.0), pkg-config, libcurl4-openssl-dev, libqjson-dev
+Build-Depends: debhelper (>= 9.0.0), qtbase5-dev, qt5-qmake, qtchooser, libzmq3-dev (>= 2.0), pkg-config, libcurl4-openssl-dev
 Standards-Version: 3.9.6
 Homepage: https://github.com/fanout/zurl/
 Vcs-Git: git://anonscm.debian.org/users/jan/zurl.git
