## zurl 1.5.1

=== debian/changelog ===
zurl (1.5.1-1build1) xenial; urgency=medium

  * No-change rebuild for zeromq3 transition.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 14 Mar 2016 19:20:59 +0000

zurl (1.5.1-1) unstable; urgency=medium

  * New upstream version
  * Set Standards-Version to 3.9.7
  * Fix lintian warning "command-with-path-in-maintainer-script"

 -- Jan Niehusmann <jan@debian.org>  Thu, 03 Mar 2016 23:13:20 +0100
