=== debian/rules ===
--- 
+++ 
@@ -18,6 +18,8 @@
 Q_LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)
 export Q_CPPFLAGS Q_CFLAGS Q_CXXFLAGS Q_LDFLAGS
 
+export QT_SELECT=5
+
 %:
 	dh $@
