## zurl 1.7.0

=== debian/changelog ===
zurl (1.7.0-1) unstable; urgency=medium

  * New upstream version
  * Set INSTALL_ROOT when calling dh_auto_install

 -- Jan Niehusmann <jan@debian.org>  Fri, 28 Oct 2016 18:26:05 +0200

zurl (1.6.0-1) unstable; urgency=medium

  * New upstream version
  * Set Standards-Version to 3.9.8 (no changes)
  * Build-Depend on libssl-dev

 -- Jan Niehusmann <jan@debian.org>  Mon, 05 Sep 2016 19:35:28 +0200

zurl (1.5.1-2) unstable; urgency=medium

  * Don't access the network during build. This disables a test
    for DNS error handling.
    (Closes: Bug#830283)

 -- Jan Niehusmann <jan@debian.org>  Thu, 07 Jul 2016 23:04:08 +0200
