=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: net
 Priority: extra
 Maintainer: Jan Niehusmann <jan@debian.org>
-Build-Depends: debhelper (>= 9.0.0), qtbase5-dev, qt5-qmake, qtchooser, libzmq3-dev (>= 2.0), pkg-config, libcurl4-openssl-dev
-Standards-Version: 3.9.7
+Build-Depends: debhelper (>= 9.0.0), qtbase5-dev, qt5-qmake, qtchooser, libzmq3-dev (>= 2.0), pkg-config, libcurl4-openssl-dev, libssl-dev
+Standards-Version: 3.9.8
 Homepage: https://github.com/fanout/zurl/
 Vcs-Git: git://anonscm.debian.org/users/jan/zurl.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=users/jan/zurl.git;a=summary
