## zurl 1.7.1

=== debian/changelog ===
zurl (1.7.1-4) unstable; urgency=medium

  * Build-depend on libssl1.0-dev | libssl-dev (<< 1.1) and
    depend on libcurl3 (>> 7.51.0-1). (Closes: Bug#850881)
    The release team asked to revert the switch to OpenSSL 1.1
    for curl, and for packages depending on curl.
    The dependency on libcurl3 (>> 7.51.0-1) should make sure
    that the downgraded packages of both curl and zurl propagate
    to testing at the same time.

 -- Jan Niehusmann <jan@debian.org>  Wed, 11 Jan 2017 09:08:10 +0100

zurl (1.7.1-3) unstable; urgency=critical

  * Update Vcs-Browser URL
  * Build-depend on libssl-dev (>= 1.1) and depend on libcurl3 (>= 7.51.0).
    This fixes broken SSL support caused by an API incompatible change
    without SONAME change in libcurl3. (See #844018).
    Because curl 7.51.0-1 migrated to testing even though
    there was a new RC bug stating that it breaks other packages, zurl
    must be built with OpenSSL 1.1 as well.
  * Set urgency to critical because 1.7.1-2 gets broken by libcurl 7.51.0.

 -- Jan Niehusmann <jan@debian.org>  Sun, 01 Jan 2017 19:27:07 +0100

zurl (1.7.1-2) unstable; urgency=medium

  * Fix build on GNU Hurd.
    (GNU Hurd doesn't define PATH_MAX)

 -- Jan Niehusmann <jan@debian.org>  Thu, 17 Nov 2016 17:32:09 +0100

zurl (1.7.1-1) unstable; urgency=medium

  * New upstream version
  * Depend on lsb-base (>= 3.0-6) to fix lintian warning
    "init.d-script-needs-depends-on-lsb-base"
  * Switch dependency on libssl-dev to libssl1.0-dev.
    Must use the same version of OpenSSL as qt5.

 -- Jan Niehusmann <jan@debian.org>  Thu, 17 Nov 2016 14:53:20 +0100
