## zurl 1.8.0

=== debian/changelog ===
zurl (1.8.0-1) unstable; urgency=medium

  * New upstream version

 -- Jan Niehusmann <jan@debian.org>  Mon, 26 Jun 2017 13:44:07 +0200
