## zurl 1.9.1

=== src/jdns/src/qjdns/CMakeLists.txt ===
--- 
+++ 
@@ -25,6 +25,11 @@
 )
 
 add_library(qjdns ${qjdns_SRCS} ${qjdns_MOC_SRCS} ${qjdns_MOC_HDRS} ${qjdns_PUBLIC_HEADERS})
+
+if(QT_MAJ)
+  set_target_properties(qjdns PROPERTIES LIBRARY_OUTPUT_NAME "qjdns${QT_MAJ}")
+endif()
+
 if(Qt5Core_FOUND)
   target_link_libraries(qjdns ${Qt5Core_LIBRARIES} ${Qt5Network_LIBRARIES})
 else(Qt5Core_FOUND)
@@ -32,7 +37,7 @@
 endif(Qt5Core_FOUND)
 target_link_libraries(qjdns jdns)
 
-if(NOT android)
+if(NOT ANDROID)
   set_target_properties(qjdns PROPERTIES
                         VERSION ${JDNS_LIB_MAJOR_VERSION}.${JDNS_LIB_MINOR_VERSION}.${JDNS_LIB_PATCH_VERSION}
                         SOVERSION ${JDNS_LIB_MAJOR_VERSION}
@@ -44,12 +49,23 @@
 #                     FRAMEWORK ${OSX_FRAMEWORK}
 )
 
-install(TARGETS qjdns
+set(INCLUDES_DESTINATION "")
+if("${CMAKE_VERSION}" VERSION_LESS "2.8.12")
+  if(USE_RELATIVE_PATHS)
+    target_include_directories(qjdns INTERFACE "${CMAKE_INSTALL_PREFIX}/${INCLUDE_INSTALL_DIR}/jdns")
+  else()
+    target_include_directories(qjdns INTERFACE "${INCLUDE_INSTALL_DIR}/jdns")
+  endif()
+else()
+  set(INCLUDES_DESTINATION INCLUDES DESTINATION "${INCLUDE_INSTALL_DIR}/jdns")
+endif()
+
+install(TARGETS qjdns EXPORT qjdns-export
         LIBRARY DESTINATION ${LIB_INSTALL_DIR}
         RUNTIME DESTINATION ${BIN_INSTALL_DIR}
         ARCHIVE DESTINATION ${LIB_INSTALL_DIR}
 #       FRAMEWORK DESTINATION ${FRAMEWORK_INSTALL_DIR}
-        PUBLIC_HEADER DESTINATION "${INCLUDE_INSTALL_DIR}/jdns"
+        PUBLIC_HEADER DESTINATION "${INCLUDE_INSTALL_DIR}/jdns" ${INCLUDES_DESTINATION}
 )
 
 if(MSVC)
