=== debian/changelog ===
zurl (1.9.1-1ubuntu1) bionic; urgency=medium

  * Switch build-dependencies for OpenSSL 1.1.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 28 Feb 2018 22:16:49 +0000

zurl (1.9.1-1build1) bionic; urgency=medium

  * No-change rebuild against libcurl4

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 28 Feb 2018 08:55:56 +0000

zurl (1.9.1-1) unstable; urgency=medium

  * New upstream version 1.9.1
  * Set standards-version to 4.1.2
  * Set priority to optional

 -- Jan Niehusmann <jan@debian.org>  Mon, 18 Dec 2017 22:19:46 +0100
