=== debian/control ===
Source: zurl
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Jan Niehusmann <jan@debian.org>
Build-Depends: debhelper (>= 9.0.0), qtbase5-dev, qt5-qmake, qtchooser, libzmq3-dev (>= 2.0), pkg-config, libcurl4-openssl-dev, libssl-dev
Standards-Version: 4.1.2
Homepage: https://github.com/fanout/zurl/
Vcs-Git: git://anonscm.debian.org/users/jan/zurl.git
Vcs-Browser: https://anonscm.debian.org/cgit/users/jan/zurl.git

Package: zurl
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, adduser, lsb-base (>= 3.0-6)
Description: HTTP client worker with ZeroMQ interface
 This service allows one to trigger HTTP requests and to retrieve
 the responses via ZeroMQ.
