## zurl 1.10.0

=== debian/changelog ===
zurl (1.10.0-1) unstable; urgency=medium

  * New upstream version 1.10.0

 -- Jan Niehusmann <jan@debian.org>  Mon, 31 Dec 2018 16:13:57 +0100

zurl (1.9.1-5) unstable; urgency=medium

  * Fix build with libcurl >= 7.62 (Closes: Bug#913379)

 -- Jan Niehusmann <jan@debian.org>  Sat, 10 Nov 2018 16:45:16 +0100

zurl (1.9.1-4) unstable; urgency=medium

  * Build-Depend on libcurl4-openssl-dev (>= 7.60.0-2), which is built
    against OpenSSL 1.1.

 -- Jan Niehusmann <jan@debian.org>  Tue, 29 May 2018 10:44:48 +0200

zurl (1.9.1-3) experimental; urgency=medium

  * Point Vcs-* to salsa repository
  * Set standards-version to 4.1.4

 -- Jan Niehusmann <jan@debian.org>  Sat, 12 May 2018 00:00:15 +0200

zurl (1.9.1-2) experimental; urgency=medium

  * Build against OpenSSL 1.1, using curl >= 7.58.0-3
    (Closes: Bug#859841)

 -- Jan Niehusmann <jan@debian.org>  Sat, 03 Mar 2018 13:33:46 +0100
