=== src/jdns/src/jdns/CMakeLists.txt ===
--- 
+++ 
@@ -24,7 +24,7 @@
   target_link_libraries(jdns Ws2_32 Advapi32)
 endif(WIN32)
 
-if(NOT android)
+if(NOT ANDROID)
   set_target_properties(jdns PROPERTIES
                         VERSION ${JDNS_LIB_MAJOR_VERSION}.${JDNS_LIB_MINOR_VERSION}.${JDNS_LIB_PATCH_VERSION}
                         SOVERSION ${JDNS_LIB_MAJOR_VERSION}
@@ -36,12 +36,23 @@
 #                     FRAMEWORK ${OSX_FRAMEWORK}
 )
 
-install(TARGETS jdns
+set(INCLUDES_DESTINATION "")
+if("${CMAKE_VERSION}" VERSION_LESS "2.8.12")
+  if(USE_RELATIVE_PATHS)
+    target_include_directories(jdns INTERFACE "${CMAKE_INSTALL_PREFIX}/${INCLUDE_INSTALL_DIR}/jdns")
+  else()
+    target_include_directories(jdns INTERFACE "${INCLUDE_INSTALL_DIR}/jdns")
+  endif()
+else()
+  set(INCLUDES_DESTINATION INCLUDES DESTINATION "${INCLUDE_INSTALL_DIR}/jdns")
+endif()
+
+install(TARGETS jdns EXPORT jdns-export
         LIBRARY DESTINATION ${LIB_INSTALL_DIR}
         RUNTIME DESTINATION ${BIN_INSTALL_DIR}
         ARCHIVE DESTINATION ${LIB_INSTALL_DIR}
 #       FRAMEWORK DESTINATION ${FRAMEWORK_INSTALL_DIR}
-        PUBLIC_HEADER DESTINATION "${INCLUDE_INSTALL_DIR}/jdns"
+        PUBLIC_HEADER DESTINATION "${INCLUDE_INSTALL_DIR}/jdns" ${INCLUDES_DESTINATION}
 )
 
 if(MSVC)
