=== debian/changelog ===
zurl (1.11.0-2build1) jammy; urgency=medium

  * No-change rebuild against libssl3

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 09 Dec 2021 00:24:28 +0000

zurl (1.11.0-2) unstable; urgency=medium

  * Create dbgsym package

 -- Jan Niehusmann <jan@debian.org>  Sun, 24 May 2020 21:17:06 +0200

zurl (1.11.0-1) unstable; urgency=medium

  * New upstream version 1.11.0

 -- Jan Niehusmann <jan@debian.org>  Thu, 04 Jul 2019 15:01:02 +0200
