=== debian/control ===
Source: zurl
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Jan Niehusmann <jan@debian.org>
Build-Depends: debhelper (>= 9.0.0), qtbase5-dev, qt5-qmake, qtchooser, libzmq3-dev (>= 2.0), pkg-config, libcurl4-openssl-dev (>= 7.60.0-2), libssl-dev (>= 1.1)
Standards-Version: 4.1.4
Homepage: https://github.com/fanout/zurl/
Vcs-Git: https://salsa.debian.org/jan/zurl.git
Vcs-Browser: https://salsa.debian.org/jan/zurl

Package: zurl
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, adduser, lsb-base (>= 3.0-6), libcurl4
Description: HTTP client worker with ZeroMQ interface
 This service allows one to trigger HTTP requests and to retrieve
 the responses via ZeroMQ.
