## zurl 1.11.1

=== debian/changelog ===
zurl (1.11.1-1) unstable; urgency=medium

  * New upstream version 1.11.1
  * Update debian/watch

 -- Jan Niehusmann <jan@debian.org>  Sun, 30 Jan 2022 17:37:03 +0100
