=== debian/watch ===
version=4
https://github.com/fanout/zurl/releases .*/zurl-(\d\S+)\.tar\.bz2
