## zurl 1.12.0

=== debian/changelog ===
zurl (1.12.0-3) unstable; urgency=medium

  * Remove dependency on libcurl4 (Closes: Bug#1107287)

 -- Jan Niehusmann <jan@debian.org>  Wed, 04 Jun 2025 22:00:46 +0200

zurl (1.12.0-2) unstable; urgency=medium

  * timer_callback must return CURLM_OK on success (Closes: Bug#1103005)

 -- Jan Niehusmann <jan@debian.org>  Sun, 01 Jun 2025 13:37:46 +0200

zurl (1.12.0-1) unstable; urgency=medium

  * New upstream version 1.12.0
  * Update debian/watch

 -- Jan Niehusmann <jan@debian.org>  Wed, 01 Nov 2023 18:21:29 +0100
