=== debian/rules ===
--- 
+++ 
@@ -25,6 +25,7 @@
 
 override_dh_auto_configure:
 	./configure --prefix=/usr --verbose
+	echo "CONFIG += debug" >>conf.pri
 
 override_dh_auto_install:
 	dh_auto_install -- INSTALL_ROOT="$(CURDIR)/debian/zurl"
